### Hierarchy

- DeepCopy<OfferRank>
  - OfferRank

## Index

### Constructors

- constructor

### Properties

- createdAt
- id
- offerId
- rank
- rankerId
- updatedAt

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson
- fromJson

## Constructors

### constructor

- new OfferRank(rank?: number, offerId?: number, rankerId?: string, createdAt?: Date, updatedAt?: Date): OfferRank

- - Defined in repository/models/OfferRank.ts:18

  #### Parameters

  - ##### Default value rank: number = 0

  - ##### Default value offerId: number = 0

  - ##### Default value rankerId: string = "0x0"

  - ##### Default value createdAt: Date = new Date()

  - ##### Default value updatedAt: Date = new Date()

  #### Returns OfferRank

## Properties

### createdAt

createdAt: Date

- Defined in repository/models/OfferRank.ts:24

### id

id: number

- Defined in repository/models/OfferRank.ts:6

### offerId

offerId: number

- Defined in repository/models/OfferRank.ts:22

### rank

rank: number

- Defined in repository/models/OfferRank.ts:21

### rankerId

rankerId: string

- Defined in repository/models/OfferRank.ts:23

### updatedAt

updatedAt: Date

- Defined in repository/models/OfferRank.ts:25

## Methods

### copy

- copy(changeArgs?: JsonObject<OfferRank>): OfferRank

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<OfferRank>

  #### Returns OfferRank

### Protected deepCopyFromJson

- deepCopyFromJson(): OfferRank

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/OfferRank.ts:44

  #### Returns OfferRank

### Protected getClass

- getClass(): ClassCreator<OfferRank>

- Overrides DeepCopy.getClass

  - Defined in repository/models/OfferRank.ts:48

  #### Returns ClassCreator<OfferRank>

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/OfferRank.ts:36

  #### Returns object

### Static fromJson

- fromJson(jsonObj: object): OfferRank & JsonObject<OfferRank>

- - Defined in repository/models/OfferRank.ts:8

  #### Parameters

  - ##### jsonObj: object

  #### Returns OfferRank & JsonObject<OfferRank>

Generated using TypeDoc